patch_model_list=(
    "clip/llava-v1.5-7b-nonorm"
    "clip/llava-v1.5-7b-rms"
    "clip/llava-v1.5-7b-rms-nocls"
    "clip/llava-v1.5-7b-rms-shuffle"
    "siglip2/llava-v1.5-7b"
    "siglip2/llava-v1.5-7b-rms"
    "radio/llava-v1.5-7b-layer2"
    "radio/llava-v1.5-7b-layer2-rms"
    "radio/llava-v1.5-576x-7b"
    "radio/llava-v1.5-7b-nocls"
    "radio/llava-v1.5-7b-shuffle"
    "qwen3-radio/llava-v1.5-8b-qwen3"
    "qwen3-radio/llava-v1.5-8b-qwen3-rms_2"
)
region_model_list=(
    "clip/Rllava-v0.48-ca1x-7b-rms"
    "clip/Cllava-v0.12-ca1x-7b"
    "clip/Rllava-v0.48_db_-ca1x-7b-rms"
    "siglip2/Rllava-v0.48-ca1x-7b-rms"
    "siglip2/Cllava-v0.12-ca1x-7b"
    "siglip2/Rllava-v0.48-ca1x-7b-rms"
    "siglip2/Rllava-v0.48_db_-ca1x-7b-rms"
    "radio/Rllava-v0.48-ca1x-7b_2"
    "radio/Rllava-v0.48-ca1x-7b-rms"
    "radio/Rllava-v0.48-768x-7b"
    "radio/Cllava-v0.12-ca1x-7b"
    "radio/Cllava-v0.10-7b-ca1x"
    "radio/Rllava-v0.48_db_-ca1x-7b"
    "radio/Rllava-v0.48_db_-ca1x-7b-rms"
    "radio/Rllava-v0.48_db_-768x-7b"
    "radio/Rllava-v0.49_db_-768x-7b"
    "radio/Rllava-v0.4A_db_-768x-7b"
    "radio/Rllava-v0.48_db_-768x-7b-shuffle"
    "radio/Rllava-v0.48-768x-pool-7b"
    "radio/Rllava-v0.48_db_-768x-pool-7b"
    "radio/Rllava-v0.48-576x-7b-rms"
    "radio/Cllava-v0.12-576x-7b-rms_2"
    "radio/Rllava-v0.48_db_-576x-7b-rms"
    "radio/Rllava-v0.48-pool-7b"
    "radio/Cllava-v0.12-pool-7b"
    "radio/Rllava-v0.48_db_-pool-7b"
    "qwen3-radio/Rllava-v0.48-ca1x-8b-qwen3-rms"
    "qwen3-radio/Cllava-v0.12-ca1x-8b-qwen3-rms"
    "qwen3-radio/Rllava-v0.48_db_-ca1x-8b-qwen3-rms"
)

for model in ${patch_model_list[@]}; do
    echo "Running eval for model: $model"
    ./scripts/eval/bench/pope.sh $model
done

for model in ${region_model_list[@]}; do
    echo "Running eval for model: $model"
    ./scripts/eval/bench/pope_region.sh $model
done

for model in ${patch_model_list[@]}; do
    echo "Running eval for model: $model"
    ./scripts/eval/bench/cvbench.sh $model
done

for model in ${region_model_list[@]}; do
    echo "Running eval for model: $model"
    ./scripts/eval/bench/cvbench_region.sh $model
done

for model in ${patch_model_list[@]}; do
    echo "Running eval for model: $model"
    ./scripts/eval/bench/ocrbench.sh $model
done

for model in ${region_model_list[@]}; do
    echo "Running eval for model: $model"
    ./scripts/eval/bench/ocrbench_region.sh $model
done

for model in ${patch_model_list[@]}; do
    echo "Running eval for model: $model"
    ./scripts/eval/bench/mmstar.sh $model
done

for model in ${region_model_list[@]}; do
    echo "Running eval for model: $model"
    ./scripts/eval/bench/mmstar_region.sh $model
done

# for model in ${patch_model_list[@]}; do
#     echo "Running eval for model: $model"
#     ./scripts/eval/bench/mmbench.sh $model
# done

# for model in ${region_model_list[@]}; do
#     echo "Running eval for model: $model"
#     ./scripts/eval/bench/mmbench_region.sh $model
# done

# for model in ${region_model_list[@]}; do
#     echo "Running eval for model: $model"
#     ./scripts/eval/bench/mmbench_region-corner.sh $model
# done
